### Method

# FwupdPlugin Efivars get_secure_boot

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_efivars_get_secure_boot (
      FuEfivars* self,
      gboolean* enabled,
      GError** error
    )

#### Description [src]

Determines if secure boot was enabled.

Available since: 2.0.0

#### Parameters

`enabled`

  Type: `gboolean*`

  SecureBoot value.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.